> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Currency Rates

> Returns updated currency rates between a source and target currency, or all supported currencies.

Returns the list of updated rates between the source and the target currency (if `targetCurrencyCode` is specified) or all the supported currencies (if `targetCurrencyCode` is not specified).


## OpenAPI

````yaml api-reference/specs/currencyrates.yaml POST /Browsing/CurrencyRates
openapi: 3.0.3
info:
  title: CurrencyRates
  version: 1.0.0
  x-scaled-review: true
  description: >-
    Returns the list of updated rates between the source and the target currency
    (if targetCurrencyCode is specified) or all the supported currencies (if
    targetCurrencyCode is not specified).
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: CurrencyRates
    x-page-title: CurrencyRates
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Browsing & Catalog'
paths:
  /Browsing/CurrencyRates:
    post:
      tags:
        - CurrencyRates
      summary: Return updated currency rates between the source and target currency
      description: >-
        Returns the list of updated rates between the source and the target
        currency (if targetCurrencyCode is specified) or all the supported
        currencies (if targetCurrencyCode is not specified).
      operationId: currencyRates
      parameters:
        - name: sourceCurrencyCode
          in: query
          required: false
          schema:
            type: string
          description: >-
            3-char ISO currency code. If not specified, the default Merchant’s
            currency will be used instead
        - name: targetCurrencyCode
          in: query
          required: false
          schema:
            type: string
          description: >-
            3-char ISO currency code. If not specified, all the rates for the
            currencies supported by the Merchant will be returned
      responses:
        '200':
          description: List of updated currency rates.
          content:
            application/json:
              schema:
                type: object
                properties:
                  CurrencyRate:
                    type: array
                    items:
                      $ref: '#/components/schemas/CurrencyRate'
                    description: List of CurrencyRate objects.
components:
  schemas:
    CurrencyRate:
      type: object
      title: CurrencyRate
      properties:
        Rate:
          type: number
          description: Currency rate decimal value
        RateData:
          type: string
          description: Currency data used by Global‑e to verify the rate
        SourceCurrencyCode:
          type: string
          description: 3-char ISO currency code.
        TargetCurrencyCode:
          type: string
          description: 3-char ISO currency code

````